Browse code

merge fixes from community

Nat! authored on 08-11-2016 14:39:09
Showing 8 changed files
1 1
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+MULLE_REPOSITORIES merge=ours
... ...
@@ -1 +1,8 @@
1
+# Always merge with --no-commit
2
+#
3
+# git reset HEAD .bootstrap/MULLE_REPOSITORIES
4
+# git checkout -- .bootstrap/MULLE_REPOSITORIES
5
+#
6
+# in case upstream tries to clobber it
7
+#
1 8
 https://github.com/mulle-nat
2 9
new file mode 100644
... ...
@@ -0,0 +1,32 @@
1
+This is a BSD-3 style license
2
+-----------------------------
3
+
4
+Copyright (c) 2015 Nat! - Mulle kybernetiK
5
+Copyright © 2015 Codeon GmbH.
6
+All rights reserved.
7
+
8
+Redistribution and use in source and binary forms, with or without
9
+modification, are permitted provided that the following conditions are met:
10
+
11
+Redistributions of source code must retain the above copyright notice, this
12
+list of conditions and the following disclaimer.
13
+
14
+Redistributions in binary form must reproduce the above copyright notice,
15
+this list of conditions and the following disclaimer in the documentation
16
+and/or other materials provided with the distribution.
17
+
18
+Neither the name of Mulle kybernetiK nor the names of its contributors
19
+may be used to endorse or promote products derived from this software
20
+without specific prior written permission.
21
+
22
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
23
+AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
24
+IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
25
+ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
26
+LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
27
+CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
28
+SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
29
+INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
30
+CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
31
+ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
32
+POSSIBILITY OF SUCH DAMAGE.
... ...
@@ -1,9 +1,12 @@
1 1
 # mulle-vararg
2 2
 
3
-Release on [github](//github.com/mulle-nat/mulle-vararg): [![Build Status](https://travis-ci.org/mulle-nat/mulle-vararg.svg?branch=release)](https://travis-ci.org/mulle-nat/mulle-vararg)
3
+[![Build Status](https://travis-ci.org/mulle-objc/mulle-vararg.svg)](https://travis-ci.org/mulle-objc/mulle-vararg)
4 4
 
5 5
 A variable argument passing scheme written in C (C11). It's an alternative
6
-to [stdarg](//en.wikipedia.org/wiki/Stdarg.h) or [varargs](//pubs.opengroup.org/onlinepubs/7908799/xsh/varargs.h.html), but not compatible with either.
6
+to
7
+[stdarg](//en.wikipedia.org/wiki/Stdarg.h) or
8
+[varargs](//pubs.opengroup.org/onlinepubs/7908799/xsh/varargs.h.html),
9
+but not compatible with either.
7 10
 
8 11
 #### Advantages
9 12
 
... ...
@@ -1,3 +1,11 @@
1
+0.5.11
2
+===
3
+* merge fixes for community release
4
+
5
+0.5.10
6
+===
7
+* fixes for community release
8
+
1 9
 0.5.1-0.5.9
2 10
 ===
3 11
 
... ...
@@ -1,20 +1,24 @@
1 1
 #! /bin/sh
2
-
3 2
 #
3
+# (c) 2016 Nat! for Mulle kybernetiK
4 4
 #
5
+# BSD3-License
5 6
 #
7
+
6 8
 PROJECT="MulleVararg"    # requires camel-case
7 9
 DESC="Access variable arguments in struct layout fashion"
8
-DEPENDENCIES="mulle-c11" # names not camel case
9
-ORIGIN=public            # git repo to push
10
+DEPENDENCIES='${REMOTEROOTDIR}/software/mulle-c11' # no camel case, will be evaled later!
10 11
 LANGUAGE=c               # c,cpp, objc
11 12
 
12
-##
13
-## In optimal cases, you don't edit anything hereafter
14
-##
13
+#
14
+# Ideally you don't hafta change anything below this line
15
+#
16
+# source mulle-homebrew.sh (clumsily)
15 17
 MULLE_BOOTSTRAP_FAIL_PREFIX="release.sh"
16 18
 
17
-. ./bin/mulle-homebrew/mulle-homebrew.sh
19
+. ./bin/repository-info.sh || exit 1
20
+. ./bin/mulle-homebrew/mulle-homebrew.sh || exit 1
21
+
18 22
 
19 23
 # parse options
20 24
 homebrew_parse_options "$@"
... ...
@@ -44,8 +48,7 @@ VERSION="`get_header_version "${HEADER}" "${VERSIONNAME}"`"
44 48
 # --- HOMEBREW FORMULA ---
45 49
 # Information needed to construct a proper brew formula
46 50
 #
47
-HOMEPAGE="https://www.mulle-kybernetik.com/software/git/${NAME}"
48
-ARCHIVEURL='https://www.mulle-kybernetik.com/software/git/${NAME}/tarball/${VERSION}'  # ARCHIVEURL will be evaled later! keep it in single quotes
51
+HOMEPAGE="${REMOTEURL}/${NAME}"
49 52
 
50 53
 
51 54
 # --- HOMEBREW TAP ---
52 55
new file mode 100644
... ...
@@ -0,0 +1,10 @@
1
+#! /bin/sh
2
+
3
+ORIGIN=public                                    # git repo to push
4
+REMOTEROOTDIR="mulle-nat"
5
+
6
+REMOTEHOST="https://github.com"
7
+REMOTEURL="${REMOTEHOST}/${REMOTEROOTDIR}"
8
+ARCHIVEURL='${REMOTEURL}/${NAME}/archive/${VERSION}.tar.gz'  # ARCHIVEURL will be evaled later! keep it in single quotes
9
+
10
+:
... ...
@@ -11,7 +11,10 @@
11 11
 
12 12
 #include "mulle_align.h"
13 13
 
14
-#define MULLE_VARARG_VERSION  ((0 << 20) | (5 << 8) | 9)
14
+//
15
+// community version is always even
16
+//
17
+#define MULLE_VARARG_VERSION  ((0 << 20) | (5 << 8) | 11)
15 18
 
16 19
 
17 20
 /*